<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Edit Bank</title>
</head>
<body>
    <h1>Edit Bank</h1>

    <form method="post" th:action="@{/bank/form}" th:object="${bank}">
        <input type="hidden" th:field="*{id}" />
        <table>
            <tr>
                <td>Bank Code</td>
                <td>
                    <input th:field="*{code}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('code')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>Bank Name</td>
                <td>
                    <input th:field="*{name}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('name')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <input type="submit">
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
        </table>
    </form>
</body>
</html>